libgimpprint API Reference: color_description_t struct Reference

Main Page | Modules | Alphabetical List | Data Structures | File List | Data Fields | Globals | Related Pages

# color_description_t Struct Reference

`#include <color-conversion.h>`

## Data Fields
const char * | name
int | input
int | output
color_id_t | color_id
color_model_t | color_model
unsigned | channels
int | channel_count
color_correction_enum_t | default_correction
stp_convert_t | conversion_function

## Field Documentation

int color_description_t::channel_count

| Definition at line 127 of file color-conversion.h. Referenced by stpi_color_traditional_init(), and stpi_compute_lut().

unsigned color_description_t::channels

| Definition at line 126 of file color-conversion.h. Referenced by channel_is_synthesized(), stpi_color_traditional_describe_parameter(), and stpi_compute_lut().

color_id_t color_description_t::color_id

| Definition at line 124 of file color-conversion.h. Referenced by channel_is_synthesized(), stpi_color_convert_to_cmykrb(), stpi_color_convert_to_color(), stpi_color_convert_to_gray(), stpi_color_convert_to_kcmy(), stpi_color_traditional_describe_parameter(), stpi_color_traditional_init(), and stpi_compute_lut().

color_model_t color_description_t::color_model

| Definition at line 125 of file color-conversion.h. Referenced by compute_a_curve_full(), setup_channel(), and stpi_compute_lut().

stp_convert_t color_description_t::conversion_function

| Definition at line 129 of file color-conversion.h. Referenced by stpi_color_traditional_get_row().

color_correction_enum_t color_description_t::default_correction

| Definition at line 128 of file color-conversion.h. Referenced by stpi_color_traditional_init().

int color_description_t::input

| Definition at line 122 of file color-conversion.h. Referenced by stpi_color_traditional_describe_parameter().

const char* color_description_t::name

| Definition at line 121 of file color-conversion.h. Referenced by stpi_color_traditional_describe_parameter().

int color_description_t::output

| Definition at line 123 of file color-conversion.h. Referenced by stpi_color_traditional_describe_parameter().

The documentation for this struct was generated from the following file:

- src/main/color-conversion.h